Monitoring
List monitored accounts
GET /v1/monitor/targets targets:read
The accounts this key monitors, alphabetically, a page at a time.
Query parameters
| Query parameter | Type | Meaning |
|---|---|---|
limit | int 1–500 = 200 | Page size |
cursor | string | From the previous page's meta.next_cursor |
response
A page of targets and paging meta. Field by field: Target.
Status: 200
request
curl https://api.xsignalfeed.com/v1/monitor/targets?limit=2 \ -H "Authorization: Bearer xsf_your_key"
response · 200
{
"targets": [
{
"id": "1652541",
"screen_name": "Reuters",
"name": "Reuters",
"previous_screen_names": [],
"push_ready": true,
"last_push_at": "2026-09-16T08:12:03.417000+00:00",
"last_poll_at": "2026-09-16T08:12:10.002000+00:00",
"state": "subscribed",
"event_types": [],
"event_types_all": true
}
],
"meta": {
"count": 1,
"has_more": true,
"next_cursor": "eyJhZnRlciI6InJldXRlcnMifQ"
}
}